#!/bin/sh

while test ! -f teeny.on; do
	echo starting teeny at `date` >> logs/teeny
	touch teeny.on
	cp old.bits chunky.bits
	cp old.index chunky.index
	mv logfile logfile~
	mv log2file log2file~
#
# Start teenymud with a 120k cache (large).
	nohup teenymud -C 120 -l 2>log2file >logfile
	echo stopped at `date` >> logs/teeny
# Find the guilty party
	ps aux >> logs/teeny
	sleep 240
	rm teeny.on
done
echo "You can't run teeny twice in the same directory, butthead!"
